Page MenuHomePhabricator

1.35.0-wmf.5 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.35.0-wmf.5
Release Date
1572825600
Related Gerrit Patches:

2019 week 45 1.35-wmf.5 Changes wmf/1.35.0-wmf.5

This MediaWiki Train Deployment is scheduled for the week of Monday, November 4th:

Monday November 4thTuesday, November 5thWednesday, November 6thThursday, November 7thFriday
SWAT deployments only.Branch wmf.5 and deploy to Group 0 Wikis.Deploy wmf.5 to Group 1 Wikis.Deploy wmf.5 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.5 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.35.0-wmf.4
Next: 1.35.0-wmf.6

Event Timeline

mmodell created this task.Sep 25 2019, 10:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 25 2019, 10:14 PM
mmodell claimed this task.Tue, Nov 5, 6:46 PM

Change 548839 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.35.0-wmf.5] Create wmf/1.35.0-wmf.5 branch refs T233853

https://gerrit.wikimedia.org/r/548839

Change 548839 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.5] Create wmf/1.35.0-wmf.5 branch refs T233853

https://gerrit.wikimedia.org/r/548839

Change 548876 had a related patch set uploaded (by 20after4; owner: 20after4):
[mediawiki/core@wmf/1.35.0-wmf.5] Add CentralNotice submodule, it was missed by branch.py refs T233853

https://gerrit.wikimedia.org/r/548876

Change 548876 merged by jenkins-bot:
[mediawiki/core@wmf/1.35.0-wmf.5] Add CentralNotice submodule, it was missed by branch.py refs T233853

https://gerrit.wikimedia.org/r/548876

Change 548904 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/548904

Change 548904 merged by jenkins-bot:
[operations/mediawiki-config@master] testwikis wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/548904

Mentioned in SAL (#wikimedia-operations) [2019-11-05T22:04:38Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.5 refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-05T22:17:43Z] <twentyafterfour> scap failed with error: A copy of your installation's LocalSettings.php must exist and be readable in the source directory. Use --conf to specify it. refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-05T22:38:03Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.5 refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-05T22:50:29Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.5 refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-05T23:01:30Z] <twentyafterfour@deploy1001> Started scap: testwikis wikis to 1.35.0-wmf.5 refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-05T23:25:43Z] <twentyafterfour@deploy1001> Finished scap: testwikis wikis to 1.35.0-wmf.5 refs T233853 (duration: 24m 13s)

Change 548928 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/548928

Change 548928 merged by jenkins-bot:
[operations/mediawiki-config@master] group0 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/548928

Mentioned in SAL (#wikimedia-operations) [2019-11-05T23:32:57Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group0 wikis to 1.35.0-wmf.5 refs T233853

Change 549193 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/549193

Change 549193 merged by jenkins-bot:
[operations/mediawiki-config@master] group1 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/549193

Mentioned in SAL (#wikimedia-operations) [2019-11-06T20:33:37Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group1 wikis to 1.35.0-wmf.5 refs T233853

Mentioned in SAL (#wikimedia-operations) [2019-11-06T20:34:38Z] <twentyafterfour@deploy1001> Synchronized php: group1 wikis to 1.35.0-wmf.5 refs T233853 (duration: 01m 00s)

Change 549627 had a related patch set uploaded (by 20after4; owner: 20after4):
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/549627

Change 549627 merged by jenkins-bot:
[operations/mediawiki-config@master] group2 wikis to 1.35.0-wmf.5 refs T233853

https://gerrit.wikimedia.org/r/549627

Mentioned in SAL (#wikimedia-operations) [2019-11-07T20:42:11Z] <twentyafterfour@deploy1001> rebuilt and synchronized wikiversions files: group2 wikis to 1.35.0-wmf.5 refs T233853

mmodell closed this task as Resolved.Fri, Nov 8, 10:22 AM